Bug 207568 - Update www/mitmproxy to 0.15
Summary: Update www/mitmproxy to 0.15
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Dmitry Marakasov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-02-28 19:30 UTC by w.schwarzenfeld
Modified: 2016-03-24 16:27 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (gaod)


Attachments
svn-diff_www_mitmproxy-0.15 (1.49 KB, patch)
2016-02-28 19:30 UTC, w.schwarzenfeld
no flags Details | Diff
poudriere-mitmproxy-0.15.log (65.74 KB, text/x-log)
2016-02-28 19:32 UTC, w.schwarzenfeld
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description w.schwarzenfeld 2016-02-28 19:30:35 UTC
Created attachment 167526 [details]
svn-diff_www_mitmproxy-0.15

Update www/mitmproxy to 0.15.

ChangeLog
4 December 2015: mitmproxy 0.15
    * Support for loading and converting older dumpfile formats (0.13 and up)
    * Content views for inline script (@chrisczub)
    * Better handling of empty header values (Benjamin Lee/@bltb)
    * Fix a gnarly memory leak in mitmdump
    * A number of bugfixes and s

further changes since 0.10:
https://github.com/mitmproxy/mitmproxy/blob/master/CHANGELOG#L26

portlint OK.
Comment 1 w.schwarzenfeld 2016-02-28 19:32:23 UTC
Created attachment 167527 [details]
poudriere-mitmproxy-0.15.log
Comment 2 Dmitry Marakasov freebsd_committer 2016-03-24 16:26:50 UTC
Note that you submission was missing distinfo update
Comment 3 commit-hook freebsd_committer 2016-03-24 16:27:20 UTC
A commit references this bug:

Author: amdmi3
Date: Thu Mar 24 16:26:48 UTC 2016
New revision: 411803
URL: https://svnweb.freebsd.org/changeset/ports/411803

Log:
  - Update to 0.15
  - While here, add LICENSE_FILE and NO_ARCH

  PR:		207568
  Submitted by:	w.schwarzenfeld@aon.at
  Approved by:	maintainer timeout (gaod@hychen.org, 3 weeks)

Changes:
  head/www/mitmproxy/Makefile
  head/www/mitmproxy/distinfo
  head/www/mitmproxy/files/